## org.apache.fop.pdf
Class ASCIIHexFilter

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFFilter
            |
            +--org.apache.fop.pdf.ASCIIHexFilter

public class ASCIIHexFilter
extends PDFFilter

Constructor Summary
`ASCIIHexFilter()`

Method Summary
`byte[]` `encode(byte[] data)` encode the given data with the filter
`java.lang.String` `getDecodeParms()` return a parameter dictionary for this filter, or null
`java.lang.String` `getName()` return a PDF string representation of the filter, e.g.

Methods inherited from class org.apache.fop.pdf.PDFFilter
`isApplied, setApplied`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASCIIHexFilter

    public ASCIIHexFilter()

Method Detail

### getName

    public java.lang.String getName()

  Description copied from class: PDFFilter
  return a PDF string representation of the filter, e.g. /FlateDecode
  Overrides:
    getName in class PDFFilter

### getDecodeParms

    public java.lang.String getDecodeParms()

  Description copied from class: PDFFilter
  return a parameter dictionary for this filter, or null
  Overrides:
    getDecodeParms in class PDFFilter

### encode

    public byte[] encode(byte[] data)

  Description copied from class: PDFFilter
  encode the given data with the filter
  Overrides:
    encode in class PDFFilter

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.